# GetReport

Retrieve a single report

`GET /api/v2/reports/{id}`

**API:** AvaTax API
**Tag:** Reports
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Reports/GetReport/

## Description

Retrieve a single report by its unique ID number.
            
Reports are run as asynchronous report tasks on the server.  When complete, the report file will be available for download
for up to 30 days after completion.  To run an asynchronous report, you should follow these steps:
            
* Begin a report by calling the report's Initiate API.  There is a separate initiate API call for each report type.
* In the result of the Initiate API, you receive back a report's `id` value.
* Check the status of a report by calling `GetReport` and passing in the report's `id` value.
* When a report's status is `Completed`, call `DownloadReport` to retrieve the file.
            
This API call returns information about any report type.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | The unique ID number of the report to retrieve |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ReportModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `ReportModel`

A model for displaying report task metadata

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique identifier of the report task Example: `1`. |
| `accountId` | integer | No | The ID of the account the reported transactions are from Example: `2087654354`. |
| `companyId` | integer | No | The ID of the company the reported transactions are from Example: `2087654354`. |
| `reportType` | string | No | The type of the report: ExportDocumentLine, etc. Example: `ExportDocumentLine`. |
| `parameters` | ReportParametersModel | No | The parametes used to build the report |
| `status` | string | No | The current status of the report building task Example: `InQueue`. |
| `size` | integer | No | The size of the report file, if available |
| `format` | string | No | The format of the report file Example: `CSV`. |
| `file` | string | No | The name of the report file, if available Example: `2087654354_2087654354_1_ExportDocumentLine.CSV`. |
| `createdDate` | string | No | The time when the report task was initiated Example: `2026-07-02T00:00:00+00:00`. |
| `createdUserId` | integer | No | The Id of the user who initiated this task Example: `0`. |
| `createdUser` | string | No | The userName of the user who initiated the report task |
| `completedDate` | string | No | The time when the report was finished building, if completed |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/reports/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```